import { OnDestroy } from "@angular/core";
import { Subject } from "rxjs";
export declare class FormInputUserModelChangeListenerService implements OnDestroy {
    readonly userModelChange: Subject<any>;
    readonly clearAllMarkedAsUserTouched: Subject<void>;
    hasUserModelChanges: boolean;
    private _subs;
    constructor();
    ngOnDestroy(): void;
}
